Loading...
Searching...
No Matches
RDKit::RascalMCES Namespace Reference

## Namespaces

namespace | details

## Classes

class | PartitionSet
struct | RascalClusterOptions
struct | RascalOptions
class | RascalResult

## Functions

RDKIT_RASCALMCES_EXPORT std::vector< RascalResult > | rascalMCES (const ROMol &mol1, const ROMol &mol2, const RascalOptions &opts=RascalOptions())
RDKIT_RASCALMCES_EXPORT std::vector< std::vector< unsigned int > > | rascalCluster (const std::vector< std::shared_ptr< ROMol > > &mols, const RascalClusterOptions &clusOpts=RascalClusterOptions())
RDKIT_RASCALMCES_EXPORT std::vector< std::vector< unsigned int > > | rascalButinaCluster (const std::vector< std::shared_ptr< ROMol > > &mols, const RascalClusterOptions &clusOpts=RascalClusterOptions())

## Function Documentation

## rascalButinaCluster()

RDKIT_RASCALMCES_EXPORT std::vector< std::vector< unsigned int > > RDKit::RascalMCES::rascalButinaCluster | ( | const std::vector< std::shared_ptr< ROMol > > & | mols,
|  | const RascalClusterOptions & | clusOpts = `RascalClusterOptions()`
| ) |  |

Parameters

  mols | : molecules to cluster
  clusOpts | : (optional) cluster options

Returns
  clusters as vector of vectors of unsigned ints - indices into the input mols vector

## rascalCluster()

RDKIT_RASCALMCES_EXPORT std::vector< std::vector< unsigned int > > RDKit::RascalMCES::rascalCluster | ( | const std::vector< std::shared_ptr< ROMol > > & | mols,
|  | const RascalClusterOptions & | clusOpts = `RascalClusterOptions()`
| ) |  |

Parameters

  mols | : molecules to cluster
  clusOpts | : (optional) cluster options

Returns
  clusters as vector of vectors of unsigned ints - indices into the input mols vector

## rascalMCES()

RDKIT_RASCALMCES_EXPORT std::vector< RascalResult > RDKit::RascalMCES::rascalMCES | ( | const ROMol & | mol1,
|  | const ROMol & | mol2,
|  | const RascalOptions & | opts = `RascalOptions()`
| ) |  |

Parameters

  mol1 | : first molecule
  mol2 | : second molecule for MCES determination.
  opts | : (optional) set of options controlling the MCES determination

Returns
  : vector of RascalResult objects.